### Method

# GimpUi SpinScale set_constrain_drag

#### Declaration [src]

    void
    gimp_spin_scale_set_constrain_drag (
      GimpSpinScale* scale,
      gboolean constrain
    )

#### Description [src]

If `constrain_drag` is TRUE, dragging the scale with the pointer will only result into integer values. It will still possible to set the scale to fractional values (if the spin scale “digits” is above 0) for instance with keyboard edit.

#### Parameters

`constrain` | `gboolean`
| Whether constraining to integer values when dragging with pointer.